Subject: [bug#56859] [PATCH] gnu: xdg-desktop-portal-wlr: Change elogind to basu for sd-bus.

From: muradm <[email-masked]>
Date: Mon, 01 Aug 2022 07:55:31 +0300

Hi,

Regarding switching, I don't think it is very straight forward
to switch elogind with basu. Issue is that elogind "also" includes
sd-bus. Dependents may require either sd-bus and/or other parts
of elogind. Those who require sd-bus only to interface with bus
could be switched to basu gradually. Most likely this will be
suitable for "minimalist" applications.

I.e. basu is a drop-in replacement for those require sd-bus only,
but not whole elogind.

Thanks in advance,
muradm

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
>
> On 01-08-2022 01:13, Maxime Devos wrote:
>>
>> On 31-07-2022 23:45, ( wrote:
>>> On Sun Jul 31, 2022 at 6:38 PM BST, Maxime Devos wrote:
>>>> What's the reason for the switch?
>>> Fewer dependencies (we include only the sd-bus library without 
>>> the whole
>>> of elogind), and it means eventually desktop users won't ever 
>>> need
>>> elogind
>>> to even exist in their store. (I think this is the reason. I'm 
>>> not
>>> certain,
>>> and there may be something more important, like some
>>> incompatibility with
>>> seatd.)
>>>
>>>      -- (
>>
>> That's interesting but sounds very non-specific to
>> xdg-desktop-portal-wlr; I think this would be better to propose 
>> on
>> guix-devel@ to switch elogind->basu for _all_ dependents, not 
>> only
>> xdg-desktop-portal-wlr -- the latter would increate the 
>> closure, not
>> reduce it, because other installed packages would still use 
>> elogind.
>
> Additionally, the reason should have been mentioned in the 
> commit message.
>
> Greetings,
> Maxime.
>
> [2. OpenPGP public key --- application/pgp-keys; 
> OpenPGP_0x49E3EE22191725EE.asc]...
>
> [[End of PGP Signed Part]]